aboutsummaryrefslogtreecommitdiffstats
path: root/testing/mutt/APKBUILD
diff options
context:
space:
mode:
authorAndrew Manison <amanison@anselsystems.com>2010-04-28 16:18:06 +0000
committerAndrew Manison <amanison@anselsystems.com>2010-04-28 16:18:06 +0000
commitf9227f24bbc658cfd1e89492e1bcb995ec69b118 (patch)
tree453ce24e69d6cfb09331667ada4f59babf0a0a4d /testing/mutt/APKBUILD
parent64723824fd317225bd675140261c8514acf4cff2 (diff)
downloadaports-f9227f24bbc658cfd1e89492e1bcb995ec69b118.tar.gz
aports-f9227f24bbc658cfd1e89492e1bcb995ec69b118.tar.bz2
aports-f9227f24bbc658cfd1e89492e1bcb995ec69b118.tar.xz
Added mutt email client package.
Diffstat (limited to 'testing/mutt/APKBUILD')
-rw-r--r--testing/mutt/APKBUILD50
1 files changed, 50 insertions, 0 deletions
diff --git a/testing/mutt/APKBUILD b/testing/mutt/APKBUILD
new file mode 100644
index 0000000000..e8cfa03fd1
--- /dev/null
+++ b/testing/mutt/APKBUILD
@@ -0,0 +1,50 @@
+# Contributor: Andrew Manison<amanison@anselsystems.com>
+# Maintainer: Andrew Manison<amanison@anselsystems.com>
+pkgname=mutt
+pkgver=1.4.2.3
+pkgrel=0
+pkgdesc="a small but very powerful text-mode email client"
+url="http://www.mutt.org"
+license="GPL"
+depends="openssl ncurses libiconv"
+makedepends="openssl-dev ncurses-dev"
+install=
+subpackages="$pkgname-doc"
+source="ftp://ftp.mutt.org/$pkgname/$pkgname-$pkgver.tar.gz"
+
+# append extra dependencies to -dev subpackage
+# remove if not used.
+# depends_dev="somepackage-dev"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+prepare() {
+ cd "$_builddir"
+ # apply patches here
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --enable-imap \
+ --enable-pop \
+ --enable-smtp \
+ --with-curses \
+ --with-mailpath=/var/spool/mail \
+ --with-ssl
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install
+
+ # remove the 2 lines below (and this) if there is no init.d script
+ # install -m755 -D "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
+ # install -m644 -D "$srcdir"/$pkgname.confd "$pkgdir"/etc/conf.d/$pkgname
+}
+
+md5sums="dcb94661827dd090fa813e73e122ea0c mutt-1.4.2.3.tar.gz"